Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.naming
Class NamingExceptionWrapper

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.naming.NamingException
                        |
                        +--com.caucho.naming.NamingExceptionWrapper

All Implemented Interfaces:
  ExceptionWrapper, java.io.Serializable

public class NamingExceptionWrapper
extends javax.naming.NamingException
implements ExceptionWrapper

Wraps the actual exception with a Naming exception

See Also:
  Serialized Form

Fields inherited from class javax.naming.NamingException
`remainingName, resolvedName, resolvedObj, rootException`

Constructor Summary
`NamingExceptionWrapper()` Null constructor for beans
`NamingExceptionWrapper(java.lang.String msg)` Create a basic NamingExceptionWrapper with a message.
`NamingExceptionWrapper(java.lang.Throwable rootCause)` Create a NamingExceptionWrapper wrapping a root exception.

Method Summary
`java.lang.String` | `getMessage()` Returns the appropriate exception message.
`java.lang.Throwable` | `getRootCause()` Returns the root exception if it exists.
`void` | `printStackTrace()` Prints the stack trace, preferring the root cause if it exists.
`void` | `printStackTrace(java.io.PrintStream os)` Prints the stack trace, preferring the root cause if it exists.
`void` | `printStackTrace(java.io.PrintWriter os)` Prints the stack trace, preferring the root cause if it exists.
`java.lang.String` | `toString()` Print the exception as a string.

Methods inherited from class javax.naming.NamingException
`appendRemainingComponent, appendRemainingName, getExplanation, getRemainingName, getResolvedName, getResolvedObj, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamingExceptionWrapper

    public NamingExceptionWrapper()

  Null constructor for beans

### NamingExceptionWrapper

    public NamingExceptionWrapper(java.lang.String msg)

  Create a basic NamingExceptionWrapper with a message.
  Parameters:
    `msg` - the exception message.

### NamingExceptionWrapper

    public NamingExceptionWrapper(java.lang.Throwable rootCause)

  Create a NamingExceptionWrapper wrapping a root exception.
  Parameters:
    `rootCause` - the underlying wrapped exception.

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Returns the root exception if it exists.
  Specified by:
    `getRootCause` in interface `ExceptionWrapper`
  Overrides:
    `getRootCause` in class `javax.naming.NamingException`
  Returns:
    the underlying wrapped exception.

### getMessage

    public java.lang.String getMessage()

  Returns the appropriate exception message.
  Overrides:
    `getMessage` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace()

  Prints the stack trace, preferring the root cause if it exists.
  Overrides:
    `printStackTrace` in class `javax.naming.NamingException`

### printStackTrace

    public void printStackTrace(java.io.PrintStream os)

  Prints the stack trace, preferring the root cause if it exists.
  Overrides:
    `printStackTrace` in class `javax.naming.NamingException`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter os)

  Prints the stack trace, preferring the root cause if it exists.
  Overrides:
    `printStackTrace` in class `javax.naming.NamingException`

### toString

    public java.lang.String toString()

  Print the exception as a string.
  Overrides:
    `toString` in class `javax.naming.NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD